Subject: Re: [PATCH v2 net-next 7/7] net: ethernet: ti: cpsw: add XDP support

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 31 May 2019 18:32:41 +0200

On Fri, 31 May 2019 19:25:24 +0300 Ivan Khoronzhuk <[email-masked]> wrote:

> On Fri, May 31, 2019 at 05:46:43PM +0200, Jesper Dangaard Brouer wrote:
> >
> >From below code snippets, it looks like you only allocated 1 page_pool
> >and sharing it with several RX-queues, as I don't have the full context
> >and don't know this driver, I might be wrong?
> >
> >To be clear, a page_pool object is needed per RX-queue, as it is
> >accessing a small RX page cache (which protected by NAPI/softirq).  
> 
> There is one RX interrupt and one RX NAPI for all rx channels.

So, what are you saying?

You _are_ sharing the page_pool between several RX-channels, but it is
safe because this hardware only have one RX interrupt + NAPI instance??

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer